just upgrade and seem to have a issue

Giganews Newsgroups
Subject: just upgrade and seem to have a issue
Posted by:  Huet Bartels (h.barte…@habinternet.com)
Date: Tue, 27 Feb 2007

Dear Indy team.

I am currently using Delphi 6 fully patched with Indy 10.1.5.  When I try to
use the following componet it gives me the following error when I try to
complie my test application.

[Fatal Error] Unit1.pas(7): Unit IdThreadComponent was compiled with a
different version of IdBaseComponent.TIdBaseComponent
[Fatal Error] Unit1.pas(7): Unit IdThreadComponent was compiled with a
different version of IdException.EIdException

This error seems to be for all misc indy componets.

IdSchedulerOfThreadDefault
IdSchedulerOfThreadPool
IdThreadComponent
IdCustomTransparentProxy
IdCookieManager
IdCompressorZLibEx
IdEncoderUUE
IdEncoderMine

plus others on the palette.

Any pointers to what I need to update in delphi would be good.  I am sure I
removed all the old indy stuff

regards

Huet

Replies